using skydiveLogs_api.Domain;
using System.Collections.Generic;

namespace skydiveLogs_api.DomainBusiness.Interfaces
{
    public interface IJumpTypeService
    {
        #region Public Methods

        void AddNewJumpType(JumpType value);

        void DeleteJumpTypeById(int id);

        IEnumerable<JumpType> GetAllJumpTypes();

        IEnumerable<JumpType> GetJumpTypesForTunnel();

        JumpType GetJumpTypeById(int id);

        bool UpdateJumpType(int id, JumpType value, bool resetCache = true);

        #endregion Public Methods
    }
}